Bug 123862 - Compiling problem with libtool
Summary: Compiling problem with libtool
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-21 00:47 UTC by John Rimell
Modified: 2014-03-17 02:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 14:46:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Rimell 2004-05-21 00:47:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
I am unable to compile this. I've installed all the packages it states
that it requires but it has a problem with libtool and never gets past
the configure command.

I have libtool-1.5-8  installed.

This is the stderr output...

+ ./configure --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu
--target=athlon-redhat-linux-gnu --program-prefix= --prefix=/usr
--exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin
--sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include
--libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var
--sharedstatedir=/usr/com --mandir=/usr/share/man
--infodir=/usr/share/info --enable-sql --enable-error-on-warning=no
--enable-ofx --enable-hbci
 
Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
Unknown library `gtkhtml'
Unknown library `gtkhtml'
configure: warning: ****** ghttp does not have SSL support.
mv: cannot stat `po/POTFILES': No such file or directory
./config.status: line 1096: po/POTFILES.tmp: No such file or directory
+ make LIBTOOL=/usr/bin/libtool
libtool: compile: specify a tag with `--tag'
make[3]: *** [libc-missing-noop.lo] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive-am] Error 2


Version-Release number of selected component (if applicable):
gnucash-1.8.9-1.src.rpm

How reproducible:
Wont recompile each time I try unsurprisingly.


Expected Results:  well, either it should work with this version of
libtool, or the spec file should specify what version of libtool is
required. I notice that the LIBTOOL flag is specifically set in the
.spec file.

I've tried commenting out this setting of the flag. That actually
solved the immediate problem and it did start compiling.

Additional info:

Comment 1 Bill Nottingham 2004-05-25 16:05:47 UTC
Do you have libgtkhtml-devel installed?

Comment 3 Karsten Hopp 2004-11-22 14:52:57 UTC
The libtool problem appears to be fixed, a current rebuild doesn't fail at this
point anymore (although it fails later during the creation of the help docs, see
bug 140344)


Note You need to log in before you can comment on or make changes to this bug.